import json

class Job:
    def __init__(self):
        self.name = None        #Process name
        self.cmd = None         #Command to run
        self.path = None        #Path to file
        self.process = None     #Process OBJ
        self.restart = False    #Restart on death
        self.container = False  #Run on screen container
        self.log = None
        self.restartcmd = None
        self._reader = None
    
    def toJson(self):
        output={
            "name": self.name,
            "path": self.path,
            "cmd": self.cmd,
            "restart": self.restart,
            "container": self.container
        }
        return str(json.dumps(output))