        var UrlAddress = window.location.href 
        IP = UrlAddress.split("/")
        var hostname = IP[2]

        getWiFiInfo();
  
        function showHide(){
            
            if(document.getElementById('security').value=='none') {
                document.getElementById("passwordLabel").hidden = true;

                document.getElementById("inputPassword").style.display = 'none';
                document.getElementById("inputPassword").value='';
                document.getElementById("inputPassword").required = false;
                document.getElementById("inputPassword").type = 'password';

                document.getElementById("checkbox").style.display = 'none';
                
                document.getElementById("check").checked = false;
            }
            else if (document.getElementById('security').value == 'wpa-psk'){
                document.getElementById("passwordLabel").hidden = false;

                document.getElementById("inputPassword").style.display = '';
                document.getElementById("inputPassword").required = true;

                document.getElementById("checkbox").style.display = '';
            }
        }

        function showPassword() {
            if(document.getElementById("check").checked == true)
                document.getElementById("inputPassword").type = 'text';
            else
                document.getElementById("inputPassword").type = 'password';
        }

        function getWiFiInfo() {
            $.get("http://"+hostname+":3000/getIp", function(data, status){
                console.log("IP Status: " + status)
                if(status == "success")
                    document.getElementById("currentIP").innerHTML = "IP Atual: " + data["ip"];
                else
                    document.getElementById("currentIP").innerHTML = "IP Atual: Não foi possível obter o IP.";
            }).fail(function() {
                document.getElementById("currentIP").innerHTML = "IP Atual: A conexão com o servidor falhou.";
              });

              $.get("http://"+hostname+":3000/getSSID", function(data, status){
                console.log("SSID Status: " + status)
                if(status == "success")
                    document.getElementById("currentNetwork").innerHTML = "Rede Atual: " + data["ssid"];
                else
                    document.getElementById("currentNetwork").innerHTML = "Rede Atual: Não foi possível obter a rede atual.";
            }).fail(function() {
                document.getElementById("currentNetwork").innerHTML = "Rede Atual: A conexão com o servidor falhou.";
              });
        }

        function makePostOnSSID(){

            xmlHttp = new XMLHttpRequest();
            
            var UrlAddress = window.location.href
            IP = UrlAddress.split("/")
            
            var url = "http://"+hostname+":3000/setNetwork"  
            var ssidContent = document.getElementById("inputSSID").value;
            var passwordContent = document.getElementById("inputPassword").value;
            var securityContent = document.getElementById("security").value;
            
            //Validação rede aberta
            if (securityContent == "none"){
                //se ssid preenchido
                if (ssidContent != ""){
                    passwordContent = true;
                    parameters = JSON.stringify(
                    {
                        "ssid": ssidContent,
                        "security": "none"
                    }
                    );
                }
            //Validação rede WPA
            } else if (securityContent == "wpa-psk") {
                //Se campos ssid e senha preenchidos
                if (ssidContent != "" && passwordContent != "") {
                    parameters = JSON.stringify(
                    {
                        "ssid": ssidContent,
                        "password": passwordContent,
                        "security": securityContent
                    }
                    ); 
                }
            }
        
            //Se json tem conteúdo faz o post
            if(ssidContent == "" || (passwordContent == "")||(securityContent == "")){
                console.log("No parameters to post")
            }
            else{
                try {
                    xmlHttp.open("POST", url, true);
                    xmlHttp.setRequestHeader("Content-type", "application/json; charset=UTF-8");
                    alert("Nova configuração de internet recebida, sistema reiniciando...\n"+
                            "Conecte seu dispositivo na mesma rede e pergunte à Google Assistente seu IP local para retomar o acesso.\n"+
                            "Você pode perguntar: 'Ok Google, pedir ao Controle da Casa o IP local.'"+
                            "Se algum problema acontecer, repita o processo conectando à rede GAssistant-AP.");
                    xmlHttp.onreadystatechange = function receiveResponse() {
                        console.log("Status: " + this.status)
                        if (this.readyState == 4) {
                            if (this.status == 200) {
                                console.log("Json try:"+parameters);
                                console.log("We got a response : " + this.response);
                            } else if (this.status == 0) {
                                console.log("The computer appears to be offline. " + parameters);
                                alert("DragonBoard-410c parece estar desconectada.")
                            } else {
                                console.log("Um erro desconhecido ocorreu.");
                                alert("Um erro desconhecido ocorreu.");
                            }
                        }
                    };
                    xmlHttp.send(parameters);
                    console.log(parameters);
                } catch (e) {
                    if (e instanceof DOMException)
                        alert("Não foi possível se comunicar com o servidor.")
                    else
                        alert("Ocorreu um erro.")
                }
            }
        }
