import os
from time import sleep
import subprocess


OUT = []
IN = [35]

WD = os.getcwd()

def init():
    
    pins = IN + OUT

    for pin in pins:
        os.chdir("/sys/class/gpio")
        os.popen("echo "  + str(pin) + " > export")

    for _in in IN:
        os.chdir("/sys/class/gpio/gpio" + str(_in))
        os.popen("echo in > direction")

    for _out in OUT:
        os.chdir("/sys/class/gpio/gpio" + str(_out))
        os.popen("echo out > direction")

    os.chdir(WD)

def TurnOn(gpio):
    os.chdir("/sys/class/gpio/gpio" + str(gpio))
    os.popen("echo 1 > value")
    os.chdir(WD)

def TurnOff(gpio):
    os.chdir("/sys/class/gpio/gpio" + str(gpio))
    os.popen("echo 0 > value")
    os.chdir(WD)

def CheckPin(gpio):
    os.chdir("/sys/class/gpio/gpio" + str(gpio))
    value = subprocess.check_output("cat value", shell=True)
    #print("Value: "+str(value))
    os.chdir(WD)
    return int(value)

def Blink(gpio):
    os.chdir("/sys/class/gpio/gpio" + str(gpio))
    while True:
        os.popen("echo 0 > value")
        sleep(0.5)
        os.popen("echo 1  > value")
        sleep(0.5)
    #os.chdir(WD)