(function () {
    $(document).ready(function(){
        
        var UrlAddress = window.location.href 
        IP= UrlAddress.split("/")
        var hostname = IP[2]
        var loopTime = 3400
        var noInternet = false

        attPage()
        
        function attPage() {
            if($.active == 0)
            {
                noInternet = false
                $.ajax({
                    type: "GET",
                    url: "/coffee_machine/status",
                  }).done(function(data) {
                    try {
                        var obj = JSON.parse(data);
                
                        if(obj["isOn"]){
                            document.getElementById("cupLevelDiv").classList.remove("hide");
                            document.getElementById('switchButton').checked = true;
                            document.getElementById("informationText").innerHTML = "Ligada";
                            document.getElementById("informationText").classList.remove('alert-danger');
                            document.getElementById("informationText").classList.remove('text-danger');
                            document.getElementById("informationText").classList.add('alert-success');
                            document.getElementById("informationText").classList.add('text-success');
        
                            if(obj["busy"]){
                                document.getElementById("long").disabled = true;
                                document.getElementById("short").disabled = true;
                            } else if (obj["busy"] == false || !obj["busy"]) {
                                document.getElementById("long").disabled = false;
                                document.getElementById("short").disabled = false;
                            }
        
                            if(obj["waterLevel"] == true){
                                document.getElementById("statusCoffee").innerHTML = "Cheio";
                                document.getElementById("statusCoffee").classList.remove('alert-danger');
                                document.getElementById("statusCoffee").classList.remove('text-danger');
                                document.getElementById("statusCoffee").classList.add('alert-success');
                                document.getElementById("statusCoffee").classList.add('text-success');
                            }else{
                                document.getElementById("statusCoffee").innerHTML = "Vazio";
                                document.getElementById("statusCoffee").classList.add('alert-danger');
                                document.getElementById("statusCoffee").classList.add('text-danger');
                                document.getElementById("statusCoffee").classList.remove('alert-success');
                                document.getElementById("statusCoffee").classList.remove('text-success');
                            }
                            
                            if(obj["hasGlass"]){
                                document.getElementById("textGlass").innerHTML = "O copo está posicionado";
                                document.getElementById("textGlass").classList.remove('text-danger');
                                document.getElementById("textGlass").classList.add('text-success');
                                document.getElementById("imageGlass").src = Flask.url_for("static", {"filename": "images/icon_coffee_glass.png"});
                            }else{
                                document.getElementById("textGlass").innerHTML = "O copo não está posicionado.";
                                document.getElementById("textGlass").classList.add('text-danger');
                                document.getElementById("textGlass").classList.remove('text-success');
                                document.getElementById("imageGlass").src = Flask.url_for("static", {"filename": "images/icon_no_coffee_glass.png"});
                            }
            
                            document.getElementById("progressBar").style.width = obj['coffeeLevel'] + "%"
                            document.getElementById("coffeeLevel").innerHTML = "Nível de Café - " + obj['coffeeLevel'] + "%"
                            
                            if (obj['coffeeLevel'] < 50) {
                                document.getElementById("informationText").innerHTML = "O nível de café está baixo.";
                                document.getElementById("informationText").classList.add('alert-danger');
                                document.getElementById("informationText").classList.add('text-danger');
                                document.getElementById("informationText").classList.remove('alert-success');
                                document.getElementById("informationText").classList.remove('text-success');
                                document.getElementById("progressBar").classList.add('progress-bar-danger')
                                document.getElementById("progressBar").classList.remove('progress-bar-alert')
                                if(obj["isOn"]) {
                                    document.getElementById("long").disabled = true;
                                    document.getElementById("short").disabled = true;
                                }
                            }
                            else if (obj['coffeeLevel'] < 80) {
                                document.getElementById("statusCoffee").classList.remove('alert-danger');
                                document.getElementById("statusCoffee").classList.remove('text-danger');
                                document.getElementById("statusCoffee").classList.add('alert-success');
                                document.getElementById("statusCoffee").classList.add('text-success');
                                document.getElementById("progressBar").classList.remove('progress-bar-danger')
                                document.getElementById("progressBar").classList.add('progress-bar-alert')
                                if(obj["isOn"]) {
                                    document.getElementById("long").disabled = false;
                                    document.getElementById("short").disabled = false;
                                }
                            } else {
                                document.getElementById("statusCoffee").classList.remove('alert-danger');
                                document.getElementById("statusCoffee").classList.remove('text-danger');
                                document.getElementById("statusCoffee").classList.add('alert-success');
                                document.getElementById("statusCoffee").classList.add('text-success');
                                document.getElementById("progressBar").classList.remove('progress-bar-danger')
                                document.getElementById("progressBar").classList.remove('progress-bar-alert')
                                if(obj["isOn"]) {
                                    document.getElementById("long").disabled = false;
                                    document.getElementById("short").disabled = false;
                                }
                            }
                        } else {
                            document.getElementById("cupLevelDiv").classList.add("hide");
                            document.getElementById("long").disabled = true;
                            document.getElementById("short").disabled = true;
                            document.getElementById('switchButton').checked = false;
                            document.getElementById("informationText").innerHTML = "Desligada";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                        }
    
                    } catch(e) {
                        console.log("Error: " + e)
                        noInternet = true
                        document.getElementById("cupLevelDiv").classList.add("hide");
                        document.getElementById("long").disabled = true;
                        document.getElementById("short").disabled = true;
                        document.getElementById('switchButton').checked = false;
                        document.getElementById("informationText").innerHTML = "Desconectada";
                        document.getElementById("informationText").classList.add('alert-danger');
                        document.getElementById("informationText").classList.add('text-danger');
                        document.getElementById("informationText").classList.remove('alert-success');
                        document.getElementById("informationText").classList.remove('text-success');
                    }
                  }).fail(function(xhr, status, error) {
                    console.log("Error: " + error);
                    noInternet = true
                    document.getElementById("cupLevelDiv").classList.add("hide");
                    document.getElementById("long").disabled = true;
                    document.getElementById("short").disabled = true;
                    document.getElementById('switchButton').checked = false;
                    document.getElementById("informationText").innerHTML = "Não foi possível obter o status da cafeteira. Verifique sua conexão com o servidor.";
                    document.getElementById("informationText").classList.add('alert-danger');
                    document.getElementById("informationText").classList.add('text-danger');
                    document.getElementById("informationText").classList.remove('alert-success');
                    document.getElementById("informationText").classList.remove('text-success');
                });
            } else {
                noInternet = true
                document.getElementById("cupLevelDiv").classList.add("hide");
                document.getElementById("long").disabled = true;
                document.getElementById("short").disabled = true;
                document.getElementById('switchButton').checked = false;
                document.getElementById("informationText").innerHTML = "Não foi possível obter o status da cafeteira. Verifique sua conexão com o servidor.";
                document.getElementById("informationText").classList.add('alert-danger');
                document.getElementById("informationText").classList.add('text-danger');
                document.getElementById("informationText").classList.remove('alert-success');
                document.getElementById("informationText").classList.remove('text-success');
            }
        }

        setInterval(function(){attPage()}, loopTime);

        $("#long").click(function(){
            if (!noInternet)
            {
                document.getElementById("long").disabled = true;
                document.getElementById("short").disabled = true;
    
                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
                $.ajax({
                    type: "POST",
                    url: "/coffee_machine/longCoffee",
                  }).done(function( data ) {
    
                    console.log(data);
                    
                    switch(String(data)){
                        case 'OK':
                            document.getElementById("informationText").innerHTML = "Fazendo café longo!";
                            document.getElementById("informationText").classList.remove('alert-danger');
                            document.getElementById("informationText").classList.remove('text-danger');
                            document.getElementById("informationText").classList.add('alert-success');
                            document.getElementById("informationText").classList.add('text-success');
                            break;
                        case 'isOff':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café longo. A cafeteira está desligada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'IsOffline':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café longo. A cafeteira está desconectada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'NoWater':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café longo. Não há água na cafeteira.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'NoGlass':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café longo. O copo não está posicionado na cafeteira.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break; 
                        case 'LowCoffee':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café longo. O nível de café está baixo..";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'Busy':
                            document.getElementById("informationText").innerHTML = "A cafeteira está ocupada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        default:
                            document.getElementById("informationText").innerHTML = "Ocorreu um erro desconhecido no servidor.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                    }
                });
            }
        });

        $("#short").click(function(){
            if (!noInternet) {
                document.getElementById("long").disabled = true;
                document.getElementById("short").disabled = true;
                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
    
                $.ajax({
                    type: "POST",
                    url: "/coffee_machine/shortCoffee",
                  }).done(function( data ) {
                    switch(String(data)){
                        case 'OK':
                            document.getElementById("informationText").innerHTML = "Fazendo café curto!";
                            document.getElementById("informationText").classList.remove('alert-danger');
                            document.getElementById("informationText").classList.remove('text-danger');
                            document.getElementById("informationText").classList.add('alert-success');
                            document.getElementById("informationText").classList.add('text-success');
                            break;
                        case 'isOff':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café curto. A cafeteira está desligada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'IsOffline':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café curto. A cafeteira está desconectada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'NoWater':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café curto. Não há água na cafeteira.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'NoGlass':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café curto. O copo não está posicionado na cafeteira.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break; 
                        case 'LowCoffee':
                            document.getElementById("informationText").innerHTML = "Não foi possível fazer café curto. O nível de café está baixo.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        case 'Busy':
                            document.getElementById("informationText").innerHTML = "A cafeteira está ocupada.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                            break;
                        default:
                            document.getElementById("informationText").innerHTML = "Ocorreu um erro desconhecido no servidor.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                    }
                });
            }
        });

        $("#switchButton").click(function(){
            var elm = document.getElementById('switchButton');

            if(!noInternet)
            {
                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
    
                if(elm.checked){
                    $.ajax({
                        type: "POST",
                        url: "/coffee_machine/coffeeOn",
                      }).done(function( data ) {
                            document.getElementById("informationText").innerHTML = "Ligada";
                            document.getElementById("informationText").classList.remove('alert-danger');
                            document.getElementById("informationText").classList.remove('text-danger');
                            document.getElementById("informationText").classList.add('alert-success');
                            document.getElementById("informationText").classList.add('text-success');
                    });
                    
                }else{
                    $.ajax({
                        type: "POST",
                        url: "/coffee_machine/coffeeOff",
                      }).done(function( data ) {
                            document.getElementById("informationText").innerHTML = "Desligada";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-success');
                            document.getElementById("informationText").classList.remove('text-success');
                    });
                }
            } else {
                elm.checked = false
                alert("Não foi possível se comunicar com o servidor.")
            }
        });
    });
})();