(function () {
    $(document).ready(function(){
        var UrlAddress = window.location.href 
        IP= UrlAddress.split("/")
        var hostname = IP[2]
        var loopTime = 2000
        var noInternet = false

        attPage()

        function attPage() {
            $.get("http://"+hostname+":4000", function(data, status){
                noInternet = false
                var obj = data
                console.log("ZServer status: " + obj)
                if(data == "ZServer is running."){
                    $.get("http://"+hostname+":4000/deviceState", function(data, status){
                        console.log("Device State Status: " +  status)
                        try {
                            console.log("On/Off status:" + data["message"][0]["online"])
                            if(data["message"][0]["online"]){
                                document.getElementById("text_status").innerHTML = "Conectada";
                                document.getElementById("informationText").innerHTML = "Desligada";
                                if(data["message"][0]["isOn"]){
                                    document.getElementById('switchButton').checked = true;
                                    document.getElementById("icon_offline").src = Flask.url_for("static", {"filename": "images/icon_on.png"})
                                    document.getElementById("informationText").innerHTML = "Ligada";
                                    document.getElementById("informationText").classList.remove('alert-danger');
                                    document.getElementById("informationText").classList.remove('text-danger');
                                    document.getElementById("informationText").classList.add('text-info');
                                    document.getElementById("informationText").classList.add('alert-info');
                                } else {
                                    document.getElementById('switchButton').checked = false;
                                    document.getElementById("icon_offline").src = Flask.url_for("static", {"filename": "images/icon_off.png"})
                                    document.getElementById("informationText").innerHTML = "Desligada";
                                    document.getElementById("informationText").classList.add('alert-danger');
                                    document.getElementById("informationText").classList.add('text-danger');
                                    document.getElementById("informationText").classList.remove('alert-info');
                                    document.getElementById("informationText").classList.remove('text-info');
                                }
                            }
                            else {
                                document.getElementById('switchButton').checked = false;
                                document.getElementById("text_status").innerHTML = "Desconectada";
                                document.getElementById("informationText").innerHTML = "Desconectada";
                                document.getElementById("informationText").classList.add('alert-danger');
                                document.getElementById("informationText").classList.add('text-danger');
                                document.getElementById("informationText").classList.remove('alert-info');
                                document.getElementById("informationText").classList.remove('text-info');
                                document.getElementById("icon_offline").src = Flask.url_for("static", {"filename": "images/icon_offline.png"})
                            }
                        } catch (error) {
                            noInternet = true
                            document.getElementById('switchButton').checked = false;
                            document.getElementById("icon_offline").src = Flask.url_for("static", {"filename": "images/icon_offline.png"})
                            document.getElementById("informationText").innerHTML = "Não foi possível obter o status da Lâmpada da Cozinha.";
                            document.getElementById("informationText").classList.add('alert-danger');
                            document.getElementById("informationText").classList.add('text-danger');
                            document.getElementById("informationText").classList.remove('alert-info');
                            document.getElementById("informationText").classList.remove('text-info');
                        }
                    });
                }
            }).fail(function(error){
                noInternet = true
                document.getElementById('switchButton').checked = false;
                document.getElementById("icon_offline").src = Flask.url_for("static", {"filename": "images/icon_offline.png"})
                document.getElementById("informationText").innerHTML = "Não foi possível obter o status da Lâmpada da Cozinha.";
                document.getElementById("informationText").classList.add('alert-danger');
                document.getElementById("informationText").classList.add('text-danger');
                document.getElementById("informationText").classList.remove('alert-info');
                document.getElementById("informationText").classList.remove('text-info');
            });
        }

        $("#switchButton").click(function(){
            var elm = document.getElementById('switchButton');

            if(!noInternet) {
                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
                change = false
                
                if(elm.checked == true){
                    $.ajax({
                        type: "POST",
                        url: "/lamp/lampOn",
                      }).done(function( data ) {
                        change = true
                        switch(data){
                            case true:
                                document.getElementById("informationText").innerHTML = "Ligada";
                                break;
                            default:
                                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
                        }
                      });
                }else{
                    $.ajax({
                        type: "POST",
                        url: "/lamp/lampOff",
                        data: { param: "lampOff"}
                      }).done(function( data ) {
                        change = true
                        switch(data){
                            case true:
                                document.getElementById("informationText").innerHTML = "Desligada";
                                break;
                            default:
                                document.getElementById("informationText").innerHTML = "Aguardando resposta...";
                        }
                      });
                }
            } else {
                elm.checked = false
                alert("Não foi possível se comunicar com o servidor.")
            }
        });
        setInterval(function(){attPage()}, loopTime);
    });
})();